package physbeans.editors;

import java.beans.*;
import physbeans.phys.*;

/**
 * Property editor for the type of ThermodynamicStateVariable using a dropdown list.
 */
public class ThermodynamicStateVariableTypeEditor extends TaggedEditor {
  
  public ThermodynamicStateVariableTypeEditor() {
    types = ThermodynamicStateVariable.getStrings();
  }
  
  /**
   * Returns a string that represents the current property.
   */
  public String getAsText() {
    return getValue().toString();
  }
  
  /**
   * Reads the value of the property by parsing a string.
   */
  public void setAsText(String s) {
    setValue(ThermodynamicStateVariable.createFromString(s));
  }
  
  /**
   * Returns a string with java code that initializes the property.
   */
  public String getJavaInitializationString() {
    String s = "ThermodynamicStateVariable.createFromString(\"";
    s += getAsText() + "\")";
    
    return s;
  }
  
}
