package physbeans.func;

/**
 * Function that multiplies its input with a constant value.
 */
public class GainFunction extends OneParameterFunction {
  
  protected double gain;
  
  /** Creates a default GainFunction with gain 2. */
  public GainFunction() {
    super(-1);
    gain = 2.0;
  }
  
  public double evaluate(double d) {
    return gain * d;
  }
  
  /** 
   * gets gain factor to multiply with the input values
   */
  public double getGain() {
    return this.gain;
  }
  
  /** 
   * sets gain factor to multiply with the input values
   */
  public void setGain(double gain) {
    this.gain = gain;
  }
  
}
