package physbeans.inout;



/**
 * A NumericTextField that only allows integer values.
 */
public class IntegerTextField extends NumericTextField {
  
  public IntegerTextField() {
    super();
  }
  
  public IntegerTextField(int val, int cols, int prec,
      String desc, String unit) {
    super(val, cols, prec, desc, unit);
    setValueInternally(val);
  }
  
  /**
   * Sets TextField to an integer value.
   * Doesn't fire an event or ask the veto listeners.
   */
  public void setValueInternally(double val) {
    int newVal = (int) Math.round(val);
    tf.setText("" + newVal);
    lastValue = getValue();     // value is rounded -> get again
    
  }
  
  public int getValueAsInt() {
    int val = (int) Math.round(getValue());
    return val;
  }
  
}
