package physbeans.phys;

import physbeans.math.*;
import physbeans.model.*;

/**
 * vector field with a constant value
 */
public class ConstantVectorField extends VectorField {
  
  /** constant value */
  protected DVector value;
  
  /** Creates a default ConstantVectorField */
  public ConstantVectorField() {
    value = new DVector(2.0, 1.0);
  }
  
  /** 
   * Gets constant value.
   */
  public DVector getValue() {
    return this.value;
  }
  
  /** 
   * Sets constant value.
   */
  public void setValue(DVector value) {
    this.value = value;
    trigger();
  }
  
  /** get vector value at given coordinates
   */
  public DVector getVectorValue(DVector param) {
    return value;
  }
  
}
