package physbeans.phys;

import physbeans.model.*;

/**
 * An optical element that has one or more focal points.
 */
abstract public class ImagingElement extends OpticalElement {
  
  /** Creates a new instance of ImagingElement */
  public ImagingElement() {
    super();
  }
  
  /**
   * Returns the position of the focal point as a Point2dVector. If the result
   * contains more than one point, then the first one is the real focus point,
   * the other ones are mirror points.
   */
  abstract public Point2dVector getFocalPoints();
  
  /**
   * Computes the image of the ObjectLightSource src.
   */  
  abstract public LightSource getImage(ObjectLightSource src);
}